/*==============================================================================
* This .do file brings in data from the Eurostat FOCUS and RAPID REPORTS
*=============================================================================*/


clear all
set more off

cd "$insheet_files/Eurostat Focus & Rapid Reports" 

*===============================================================================
* 			Eurostat FOCUS and RAPID REPORTS
*===============================================================================
import excel using "FOCUS_RAPIDREPORT_1989_1994.xlsx", first clear
drop if nuts==""

rename ue_rate ue_rate_f_rr

collapse (median) ue_rate (first) region_name, by(nuts year)
sort year nuts

label var ue_rate_f_rr "Unemployment Rate, Eurostat: Focus & Rapid Reports"

save "$dta_files/FOCUS_RR_labor.dta", replace
